Rider Status Callback

This callback is triggered when a rider status is updated.

Usually a regular rider status lifecycle is rider_assigned => rider_arrived (at the restaurant) => rider_in_transit (en route to customer) => rider_nearby.

The following are all the valid values for a rider status.

Rider StatusDescription
rider_assignedRider was assigned to the order.
rider_unassignedRider was unassigned to the order.
rider_arrivedRider nearby to the restaurant.
rider_confirmed_at_restaurantRider arrival at the restaurant confirmed on rider's app.
rider_in_transitRider en route to the customer.
rider_nearbyRider is arriving at customer.

Keep in mind that while every attempt is made to make callbacks in the order they occurred and in a timely manner, neither can be absolutely guaranteed. It is also possible to receive the same callback more than once.

It is important to notice that these webhooks will only be triggered when rider_status_url configuration entry is set.

Body Params
string
string
stacked_with
array of strings
deprecated

This field is deprecated. Please use delivery_stack instead.

stacked_with
delivery_priority
array of strings
deprecated

This field is deprecated. Please use delivery_stack instead.

delivery_priority
delivery_eta
object

Provides an estimated delivery window for the order

riders
array of objects
riders
delivery_stack
array of objects
delivery_stack
Headers
string
required

Deliveroo Sequential globally unique identifier (GUID). Please implement it as case-insensitive.

string
required

On registration, we'll provide you with a webhook secret. We'll use the webhook secret and a sequential globally unique identifier (GUID) to generate a hash of the order payload. When you receive a POST request, you will be able to compute a hash and verify that it's a genuine, authorized request sent from Deliveroo. Please implement it as case-insensitive.

Responses
200

Your server returns this code if it accepts the callback.

4XX

Your server can return 4XX codes to signal its issues with the request.

5XX

Your server can return 5XX codes to signal its internal issues.

Language
Credentials
OAuth2
URL